
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class TakeStock extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 盘点id
     */
    private Long takeStockId;

    /**
     * 盘点单号
     */
    private String takeStockNo;

    /**
     * 盘点状态 0已作废 1盘点中 2已完成
     */
    private Integer billStatus;

    /**
     * 制单人
     */
    private Long maker;

    /**
     * 盘点区域名称
     */
    private String stockRegionName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 制单人手机号
     */
    private String makerMobile;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 库存点类型
     */
    private Integer stockPointType;

    public Long getTakeStockId() {
        return takeStockId;
    }

    public void setTakeStockId(Long takeStockId) {
        this.takeStockId = takeStockId;
    }

    public String getTakeStockNo() {
        return takeStockNo;
    }

    public void setTakeStockNo(String takeStockNo) {
        this.takeStockNo = takeStockNo;
    }

    public Integer getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(Integer billStatus) {
        this.billStatus = billStatus;
    }

    public Long getMaker() {
        return maker;
    }

    public void setMaker(Long maker) {
        this.maker = maker;
    }

    public String getStockRegionName() {
        return stockRegionName;
    }

    public void setStockRegionName(String stockRegionName) {
        this.stockRegionName = stockRegionName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getMakerMobile() {
        return makerMobile;
    }

    public void setMakerMobile(String makerMobile) {
        this.makerMobile = makerMobile;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public Integer getStockPointType() {
        return stockPointType;
    }

    public void setStockPointType(Integer stockPointType) {
        this.stockPointType = stockPointType;
    }

    @Override
    public String toString() {
        return "TakeStock{" +
                "takeStockId=" + takeStockId +
                ", takeStockNo='" + takeStockNo + '\'' +
                ", billStatus=" + billStatus +
                ", maker=" + maker +
                ", stockRegionName='" + stockRegionName + '\'' +
                ", remark='" + remark + '\'' +
                ", shopId=" + shopId +
                ", makerMobile='" + makerMobile + '\'' +
                ", warehouseId=" + warehouseId +
                ", stockPointType=" + stockPointType +
                '}';
    }
}
